#!/bin/bash


# Create Model class

echo "define(function(require) {
    var Backbone = require('backbone')
    
    return Backbone.Model.extend({
        sync: function(){}
        // make a url: function based on this.get.('id') if you want to do dynamic routing for .save and .fetch calls
    })
})" >> public/js/models/$2.js


# Create Collection class

echo "define(function(require) {
    var Backbone = require('backbone')
    var $2 = require('js/models/$2.js')
    
    return Backbone.Collection.extend({
        model: $2
    })
})" >> public/js/models/$2Collection.js


# Create ItemView class

echo "define(function(require) {
    var Backbone = require('backbone')
    require('backbone_marionette')

    var App = require('app')
    var tpl = require('text!templates/$1.mustache')

    return Backbone.Marionette.ItemView.extend({
        template: tpl
    })
})" >> public/js/views/"$2"View.js


# Create CollectionView class

echo "define(function(require) {
    var Backbone = require('backbone')
    require('backbone_marionette')

    var App = require('app')
    var $2View = require('views/$2View')

    return Backbone.Marionette.CollectionView.extend({
        itemView: $2View
    })
})" >> public/js/views/"$2"CollectionView.js


# Create template file

echo "$2 {{ a }} {{ b }} {{ c }} {{ d }}" >> public/js/templates/"$1".mustache


# Create less file

echo "" >> public/less/$1.less
echo "@import '$1';" >> public/less/styles.less


echo "
public/js/models/$2.js
public/js/models/$2Collection.js
public/js/views/$2View.js created
public/js/views/$2CollectionView.js created
public/js/templates/$1.mustache created
public/less/$1.less created
public/less/styles.less updated

###################################################
To use this new class, copy and paste this shit:


var $2Collection = require('models/$2Collection')
var $2CollectionView = require('views/$2CollectionView')

var $1s = new $2Collection();
$1s.create({ a:1, b:2, c:3, d:4 })
$1s.create({ a:2, b:3, c:4, d:5 })
$1s.create({ a:3, b:4, c:5, d:6 })

new $2CollectionView({
    collection: $1s
})
"

