require.config({
    baseUrl: 'js',
    deps: ['main'],

    paths: {
        text: '../libs/requirejs_text/text',
        jquery: 'http://code.jquery.com/jquery-1.8.1', //https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min', //'libs/jquery/jquery',
        jquery_ui: 'http://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.8.19/jquery-ui.min',
        jquery_ui_touch_punch: '../libs/jquery-ui-touch-punch/jquery.ui.touch-punch.min',
        underscore: '../libs/underscore/underscore',
        backbone: '../libs/backbone/backbone',
        backbone_marionette: '../libs/backbone.marionette/lib/amd/backbone.marionette',
        backbone_localstorage: '../libs/Backbone.localStorage/backbone.localStorage',
        mustache: '../libs/mustache.js/mustache',
        hyve: '../libs/hyve/dist/hyve',
        socketio: '/socket.io/socket.io',
        less: '../libs/less.js/dist/less-1.3.0',
        bootstrap: '../libs/bootstrap/docs/assets/js/bootstrap',
        harthurclassifier: 'http://cloud.github.com/downloads/harthur/classifier/classifier-0.1.0.min'
    },

    shim: {
        underscore: {
            exports: '_'
        },
        backbone: {
            deps: [ 'underscore', 'jquery' ],
            exports: 'Backbone'
        },
        mustache: {
            exports: 'Mustache'
        },
        hyve: {
            exports: 'hyve'
        },
        socketio: {
            exports: 'io'
        },
        bootstrap: {
            deps: [ 'jquery' ]
        },

        // plugins (no exports)
        backbone_localstorage: [ 'backbone' ],
        jquery_ui: [ 'jquery' ]
    }
});
