define(function(require) {
    var $ = require('jquery')
    var io = require('socketio')
    var less = require('less')
    var Backbone = require('backbone')
    var Mustache = require('mustache')
    var App = require('app')

    var NavbarView = require('views/NavbarView')
    var LeftbarView = require('views/LeftbarView')
    var RightbarView = require('views/RightbarView')
    var FooterView = require('views/FooterView')
    
    var ItemCollection = require('models/ItemCollection')
    var ItemCollectionView = require('views/ItemCollectionView')





    Backbone.Marionette.Renderer.render = function(template, data){
        return Mustache.to_html(template, data);
    }





    var items = new ItemCollection();
    items.create({ a:1, b:2, c:3, d:4 })
    items.create({ a:2, b:3, c:4, d:5 })
    items.create({ a:3, b:4, c:5, d:6 })


    require('bootstrap')

    // less.watch();
    setInterval(function() { 
      var keyPrefix = window.location.protocol + '//' + window.location.host + '/';
      for (var key in window.localStorage)  if (key.indexOf(keyPrefix) === 0) delete window.localStorage[key]; 
      less.env=''; less.refresh(); less.env='development';
    }, 3000);

    var socket = io.connect('http://localhost:8888')
    socket.on('news', function (data) {
        console.log(data)
        socket.emit('my other event', { my: 'data' })
    })

    App.addRegions({
        header: 'body > header',
        leftbar: 'body > #content > #leftbar',
        center: 'body > #content > #center',
        rightbar: 'body > #content > #rightbar',
        footer: 'body > footer'
    })

    App.header.show(new NavbarView())
    App.leftbar.show(new LeftbarView())
    App.rightbar.show(new RightbarView())

    App.footer.show(new ItemCollectionView({ collection: items }))




    var Router = Backbone.Marionette.AppRouter.extend({
        '': 'index'
    })

    var Controller = {
        index: function() {
            App.center.show(new footerView())
        }
    }

    App.Router = new Router({ controller: Controller })



    App.on('initialize:after', function() {
        Backbone.history.start({ pushState: true })
    })

    App.start();
});
